<?php
include 'core/system.php';

head('Алтарь');

reg();

 $clans = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$user['clan']."' LIMIT 1")->fetch_assoc();
$clan_id = $clans['id'];
if($user['clan']<=0){ header('location: clan.php');exit; }

$gold = 200; if($clans['alt']>0){ $gold = $gold*$clans['alt']; }

 
            $hp = round(100/($gold/($clans['alt_exp']+1)))+1; if ($hp>100){    $hp = 100;  $hp=ceil($hp); }

if($clans['alt_exp']<=0){ $hp = 0; }
if(isset($_GET['up'])){  


if($clans['kazna']<$gold){  header('location:clan_kuz.php');exit;}



$dbc->query("UPDATE `clan` SET `alt`=`alt`+1,`alt_exp`=`alt_exp`+1,`kazna`=`kazna`-'".$gold."' WHERE `id`='".$clans['id']."' "); 





$dbc->query("INSERT INTO `clan_journal` SET

        `clan`='".$clan_id."',


`user`='".$user['id']."',


        `text`='<img src=img/class/".$user['storona']."/".$user['pers']."/pers.png><a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> <span class=info>Улучшил Алтарь за <img src=/img/money/money.png>".$gold."</span>',



        `time`='".time()."'"); 


$_SESSION['message']='Успешно Улучшено';
 header('location:altar.php');exit;} 



if(isset($_GET['activ'])){  

if($user['gold']<5){ header('location:altar.php');exit;}



    
$dbc->query("update `users` set `alt` = ".$clans['alt_exp']." where id = '".$user['id']."'");



$dbc->query("update `users` set `gold` = `gold`-5 where id = '".$user['id']."'");



$dbc->query("update `clan` set `kazna` = `kazna`+5 where id = '".$user['clan']."'");


    $until = 36000 + TIME;

$dbc->query("update `users` set `al_time` = ".$until." where id = '".$user['id']."'");

$dbc->query("update `bonus` set `alt_time` = ".$until." ,`alt`  = 1 where `user` = '".$user['id']."'"); 

$_SESSION['message']='Алтарь Активирован'; header('location:altar.php');exit;


    } 
?>
<div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><div class="font-small text-italic c-verygray">Бонус Алтаря повышает получаемый личный опыт и опыт клана</div></div></div>





<div class="block">
    <table>
        <tr>
            <td style="width: 85px;"><img src="img/new/altar.png" alt="*"></td>






            <td>
                <span class="white"><b><?=$clans['alt']?> Уровень</b></span><br><br><span class="iEpic">Бонус к опыту + <?=$clans['alt_exp']?>%<span></br>



Следующий Уровень <img src="img/money/money.png"><?=$gold?>



<center></br><a href="altar.php?activ" class="btn big">Активировать за <img src="img/money/money.png">5</a></center>



                <div class="progress-black bord" style="width: 50%;">
                    <div class="progress-green" style="width:0%;"></div>
                </div>
            </td>
        </tr>
    </table>
</div><?

if($user['clan_rang']==5){ 
?><center>Стоимость улучшения <img src="img/money/money.png"><?=$gold?></center><? 



?><center><a href="altar.php?up"><input class="btn big" type="submit" value="Улучшить алтарь!"></a></center></a><?


}

?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><div class="font-small text-italic c-verygray">Подсказки: <font color=green>Алтарь Активируется на 10 часов .. золото с активации перечисляется в казну.</font></div></div></div><?




foot(); 
